/*
 * Direct3D GLX execute buffer implementation
 *
 * Copyright 2001 TransGaming Technologies, Inc.
 */

#ifndef WINE_DLLS_GLX_EXECUTEBUFFER_H_INCLUDED
#define WINE_DLLS_GLX_EXECUTEBUFFER_H_INCLUDED

#include "ddrawi.h"
#include "d3dhal.h"
#include "wine/d3dhalgl.h"

extern void X11DRV_GLX_EB_Init(void);
extern void X11DRV_GLX_EB_Context_Init(void);
extern void X11DRV_GLX_EB_Cleanup(void);

extern DDHAL_DDEXEBUFCALLBACKS X11DRV_GLX_exebufcallbacks;
extern struct GL_D3D_DriverCallbacks X11DRV_GLX_GL_D3D_driver_callbacks;

extern BOOL X11DRV_GLX_D3dRenderLock(ULONG_PTR dwhContext, BOOL draw);
extern void X11DRV_GLX_D3dRenderUnlock(ULONG_PTR dwhContext, BOOL draw);
extern void X11DRV_GLX_D3dRenderArea(ULONG_PTR dwhContext, LPRECT rect);

#endif
